Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class ListOf

    java.lang.Object
      ix.util.ListOf

    public class ListOf

extends java.lang.Object

Static util methods for `TypedList`s.

Method Summary
`static void` | `checkElements(java.util.Collection c, java.lang.Class eltClass)`
`static java.lang.Class` | `elementClass(java.lang.Class intface)`
`static java.lang.Class` | `elementClass(java.util.List l)`
`static java.lang.Class` | `findImplementationClass(java.lang.Class intface, java.lang.Class superclass)`
`static java.lang.Class[]` | `implementationClasses(java.lang.Class intface)`
`static java.util.ArrayList` | `makeArrayImplementation(java.lang.Class intface)`
`static java.util.LinkedList` | `makeLinkedImplementation(java.lang.Class intface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### elementClass

    public static java.lang.Class elementClass(java.util.List l)

### elementClass

    public static java.lang.Class elementClass(java.lang.Class intface)

### checkElements

    public static void checkElements(java.util.Collection c,
                                     java.lang.Class eltClass)

### implementationClasses

    public static java.lang.Class[] implementationClasses(java.lang.Class intface)

### makeLinkedImplementation

    public static java.util.LinkedList makeLinkedImplementation(java.lang.Class intface)

### makeArrayImplementation

    public static java.util.ArrayList makeArrayImplementation(java.lang.Class intface)

### findImplementationClass

    public static java.lang.Class findImplementationClass(java.lang.Class intface,
                                                          java.lang.Class superclass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD